Bug 1678179 - Manage Repository Sets option for content hosts Does not Show Custom Repositories
Summary: Manage Repository Sets option for content hosts Does not Show Custom Reposito...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.4
Hardware: All
OS: All
high
medium
Target Milestone: 6.7.0
Assignee: Samir Jha
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1766165 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-18 09:17 UTC by roarora
Modified: 2020-04-14 13:24 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
In the Satellite web UI, the bulk action feature for the set repositories of content hosts does not list the custom product repositories. An empty list is displayed rather than a list of the custom repositories.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot showing custom repos (146.98 KB, image/png)
2019-02-20 01:52 UTC, Justin Sherrill
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26767 Normal Closed Empty repository list when using bulk action for Manage Repository Sets 2020-11-17 13:54:15 UTC
Red Hat Knowledge Base (Solution) 4409391 None None None 2019-09-11 13:19:59 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:01 UTC

Description roarora 2019-02-18 09:17:18 UTC
Description of problem:
Content hosts -> Select some content hosts >  select action -> Manage Repository Sets", does not show custom repositories for custom products.

This was available in satellite 6.3

Following commit in Katello 3.7 seems to filer out only Red Hat products
https://github.com/Katello/katello/commit/3883410f269289ef2d65ad526f778112c811a446

Upstream tracker : https://projects.theforeman.org/issues/22564


How reproducible:
Always

Comment 3 Justin Sherrill 2019-02-20 01:50:55 UTC
The referenced commit modifies the 'repository_sets' api, but this particular page is hitting the 'host subscriptions' 'product content' api.  /hosts/:host_id/subscriptions/product_content

Testing this myself on 6.4, i see custom repos showing up just fine, see attachment.  Double check that you have assigned the custom subscription to the host before attempting to view it on that page.  Does that help?

Comment 4 Justin Sherrill 2019-02-20 01:52:06 UTC
Created attachment 1536563 [details]
screenshot showing custom repos

Comment 9 Justin Sherrill 2019-05-15 17:51:57 UTC
Connecting redmine issue https://projects.theforeman.org/issues/26767 from this bug

Comment 10 giunta 2019-05-16 06:30:59 UTC
(In reply to Justin Sherrill from comment #3)
> Testing this myself on 6.4, i see custom repos showing up just fine, see
> attachment.  Double check that you have assigned the custom subscription to
> the host before attempting to view it on that page.  Does that help?

Hi, same problem here (Katello 3.10). I'm able to select and manage Repository Sets using:

Content hosts -> HOST -> Repository Sets 

but not using bulk action:

Content hosts -> Select the same HOST >  select action -> Manage Repository Sets

In this case, the list is empty.

  Marco

Comment 11 Brad Buckingham 2019-07-10 21:03:37 UTC
A solution for this is proposed in the upstream and being reviewed.

Comment 12 Bryan Kearney 2019-07-29 16:02:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26767 has been resolved.

Comment 17 Waldirio M Pinheiro 2019-10-30 18:44:57 UTC
*** Bug 1766165 has been marked as a duplicate of this bug. ***

Comment 28 errata-xmlrpc 2020-04-14 13:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.